# Type Alias EditErrorHandlerData

EditErrorHandlerData: {
requestBody: {
error_handler?: string;
error_handler_extra_args?: ScriptArgs;
error_handler_muted_on_cancel?: boolean;
};
workspace: string;
}

#### Type declaration

- ##### requestBody: {
  error_handler?: string;
  error_handler_extra_args?: ScriptArgs;
  error_handler_muted_on_cancel?: boolean;
  }

  WorkspaceErrorHandler

  - ##### `Optional` error_handler?: string

  - ##### `Optional` error_handler_extra_args?: ScriptArgs

  - ##### `Optional` error_handler_muted_on_cancel?: boolean

- ##### workspace: string

- Defined in src/types.gen.ts:1856